edu.northwestern.at.utils

## Class TaggedStringsMap

- java.lang.Object
- - edu.northwestern.at.utils.TaggedStringsMap

- All Implemented Interfaces:
    TaggedStrings

      public class TaggedStringsMap
      extends java.lang.Object
      implements TaggedStrings

  Wraps a map as a TaggedStrings object.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<java.lang.String,java.lang.String>` | `wrappedMap` Map being wrapped.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaggedStringsMap()` Create a tagged strings map.
    `TaggedStringsMap(java.util.Map<java.lang.String,java.lang.String> map)` Create a tagged strings map.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsString(java.lang.String string)` See if specified string exists.
    `java.util.Set<java.lang.String>` | `getAllStrings()` Get set of all unique string values.
    `java.util.Set<java.lang.String>` | `getAllTags()` Get set of all unique tag values.
    `java.util.Map<java.lang.String,java.lang.String>` | `getMap()` Return the wrapped map.
    `int` | `getStringCount()` Get number of strings.
    `java.lang.String` | `getTag(java.lang.String string)` Get the tag value associated with a string.
    `void` | `putTag(java.lang.String string, java.lang.String tag)` Set the tag value associated with a string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wrappedMap

          protected java.util.Map<java.lang.String,java.lang.String> wrappedMap

      Map being wrapped.

  - ### Constructor Detail

    - #### TaggedStringsMap

          public TaggedStringsMap()

      Create a tagged strings map.

    - #### TaggedStringsMap

          public TaggedStringsMap(java.util.Map<java.lang.String,java.lang.String> map)

      Create a tagged strings map.
      Parameters:
        `map` - The map to wrap.

  - ### Method Detail

    - #### containsString

          public boolean containsString(java.lang.String string)

      See if specified string exists.
      Specified by:
        `containsString` in interface `TaggedStrings`
      Parameters:
        `string` - The string.
      Returns:
        True if specified string exists.

    - #### getTag

          public java.lang.String getTag(java.lang.String string)

      Get the tag value associated with a string.
      Specified by:
        `getTag` in interface `TaggedStrings`
      Parameters:
        `string` - The string.
      Returns:
        The tag value associated with the string. May be null.

    - #### putTag

          public void putTag(java.lang.String string,
                    java.lang.String tag)

      Set the tag value associated with a string.
      Specified by:
        `putTag` in interface `TaggedStrings`
      Parameters:
        `string` - The string.
        `tag` - The tag.

    - #### getStringCount

          public int getStringCount()

      Get number of strings.
      Specified by:
        `getStringCount` in interface `TaggedStrings`
      Returns:
        Number of strings.

    - #### getAllTags

          public java.util.Set<java.lang.String> getAllTags()

      Get set of all unique tag values.
      Specified by:
        `getAllTags` in interface `TaggedStrings`
      Returns:
        Set of all unique tag values.

    - #### getAllStrings

          public java.util.Set<java.lang.String> getAllStrings()

      Get set of all unique string values.
      Specified by:
        `getAllStrings` in interface `TaggedStrings`
      Returns:
        Set of all unique string values.

    - #### getMap

          public java.util.Map<java.lang.String,java.lang.String> getMap()

      Return the wrapped map.
      Returns:
        The wrapped map.